<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.sipai.jspatrol">

    <application
        android:name="com.sipai.jspatrol.Application.App"
        android:allowBackup="true"
        android:icon="@mipmap/moudle_ipatrol_logo"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/moudle_ipatrol_logo"
        android:supportsRtl="true"
        android:theme="@style/FullscreenTheme"
        android:usesCleartextTraffic="true"
        tools:replace="android:icon">
        <activity android:name="com.sipai.jspatrol.MonitorScreen.MonitorScreenListActivity"></activity>
        <activity android:name="com.sipai.jspatrol.Statement.StatementListActivity" />
        <activity android:name="com.sipai.jspatrol.Statement.StatementTypeActivity" />
        <activity
            android:name="com.sipai.jspatrol.ShowNotification.LockScreenDialogActivity"
            android:excludeFromRecents="true"
            android:launchMode="singleInstance"
            android:taskAffinity=""
            android:theme="@android:style/Theme.Translucent.NoTitleBar.Fullscreen" />
        <activity android:name="com.sipai.jspatrol.Fault.FaultFlowChartActivity" />
        <activity android:name="com.sipai.jspatrol.Equ.EquCardActivity" />
        <activity android:name="com.sipai.jspatrol.Alarm.AlarmListActivity" />
        <activity android:name="com.sipai.jspatrol.Equ.EquDetailActivity" />
        <activity android:name="com.sipai.jspatrol.Message.MessageActivity" />
        <activity android:name="com.sipai.jspatrol.Equ.EquSearchActivity" />
        <activity android:name="com.sipai.jspatrol.Fault.DoneFaultActivity" />
        <activity android:name="com.sipai.jspatrol.Fault.SingleChoiceActivity" />
        <activity android:name="com.sipai.jspatrol.Flutter.FlutterTestActivity" />
        <activity
            android:name=".PointAnalysis.PointAnalysisActivity" />
        <activity
            android:name=".PointAnalysis.SolutionListActivity" />
        <activity
            android:name=".PointAnalysis.SelPointListActivity" />
        <activity android:name=".Webv.GuideMenuLandscapeActivity"
            android:screenOrientation="landscape"/>
        <activity android:name="com.sipai.jspatrol.Webv.MonitorScreenActivity"
            android:launchMode="singleTask"
            android:screenOrientation="landscape"
            tools:ignore="LockedOrientationActivity"/>
        <activity
            android:name="com.sipai.jspatrol.Loading.LoadingActivity"
            android:screenOrientation="portrait"
            tools:ignore="LockedOrientationActivity">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity android:name="com.sipai.jspatrol.Main.MainActivity" />
        <activity android:name="com.sipai.jspatrol.Patrol.patrolList.PatrolListActivity" /> <!-- <activity android:name=".Loading.LoginActivity"/> -->
        <activity android:name="com.sipai.jspatrol.Patrol.ProPatrolTaskListActivity" />
        <activity android:name="com.sipai.jspatrol.Patrol.PatrolDetailActivity" />
        <activity android:name="com.sipai.jspatrol.Patrol.PatrolPointDetailActivity" />
        <activity android:name="com.sipai.jspatrol.Patrol.PatrolEquDetailActivity" />
        <activity android:name="com.sipai.jspatrol.Webv.WebStatementActivity" />
        <activity
            android:name="com.sipai.jspatrol.Login.LoginActivity"
            android:launchMode="singleInstance" />
        <activity android:name="com.sipai.jspatrol.setting.SettingActivity" />
        <activity android:name="com.sipai.jspatrol.Fault.NewFaultActivity" />
        <activity android:name="com.sipai.jspatrol.NFC.NFCGuideActivity" />
        <activity android:name="com.sipai.jspatrol.NFC.ReadTag" />
        <activity android:name="com.sipai.jspatrol.NFC.WriteTag" />
        <activity android:name="com.sipai.jspatrol.NFC.PatrolPointActivity" />
        <activity android:name="com.sipai.jspatrol.NFC.NFCEquListActivity" />
        <activity android:name="com.sipai.jspatrol.Fault.NewFaultDetailActivity" />
        <activity android:name="com.sipai.jspatrol.Fault.PersonSelectorActivity" />
        <activity android:name="com.sipai.jspatrol.Fault.DoingFaultDetailActivity" />
        <activity android:name="com.sipai.jspatrol.ProMonitoring.PointHistoryActivity" />
        <activity android:name="com.sipai.jspatrol.Webv.GuideMenuActivity" />
        <activity android:name="com.sipai.jspatrol.Equ.EquInsertActivity" />
        <activity android:name="com.sipai.jspatrol.Equ.PertainToEquSelActivity" />
        <activity android:name="com.sipai.jspatrol.Equ.SelActivity" />

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="com.sipai.js.fileProvider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/provider_paths" />
        </provider>

        <meta-data
            android:name="com.baidu.lbsapi.API_KEY"
            android:value="jiedcrEXzFAhPRZr3AC7A98nyU0xsgSi" />

        <service android:name="com.baidu.location.f" android:enabled="true" android:process=":remote"> </service>

        <service
            android:name="com.sipai.jspatrol.Service.IPatrolService"
            android:enabled="true"
            android:exported="true" />
        <service android:name="com.sipai.jspatrol.background.locationservice.LocationService" />

        <uses-library
            android:name="org.apache.http.legacy"
            android:required="false" />
    </application>
    <uses-feature android:name="android.hardware.camera" />

    <uses-feature android:name="android.hardware.camera.autofocus" />
    <uses-permission android:name="android.permission.DISABLE_KEYGUARD" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE"/>
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.CAMERA" /> <!-- <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/> -->
    <uses-permission android:name="android.permission.NFC" />
    <uses-permission android:name="android.permission.FLASHLIGHT" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />

    <!-- 这个权限用于进行网络定位-->
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION"></uses-permission>
    <!-- 这个权限用于访问GPS定位-->
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION"></uses-permission>
    <!-- 用于访问wifi网络信息，wifi信息会用于进行网络定位-->
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE"></uses-permission>
    <!-- 这个权限用于获取wifi的获取权限，wifi信息会用来进行网络定位-->
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE"></uses-permission>

</manifest>